diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/meta-boxes.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/meta-boxes.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/meta-boxes.php	2012-12-05 18:41:06.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/meta-boxes.php	2013-07-29 14:52:00.000000000 -0500
***************
*** 9,15 ****
   *
   * @param object $post
   */
! function post_submit_meta_box($post) {
  	global $action;
  
  	$post_type = $post->post_type;
--- 9,15 ----
   *
   * @param object $post
   */
! function post_submit_meta_box($post, $args = array() ) {
  	global $action;
  
  	$post_type = $post->post_type;
***************
*** 171,176 ****
--- 171,194 ----
  	$date = date_i18n( $datef, strtotime( current_time('mysql') ) );
  }
  
+ if ( ! empty( $args['args']['revisions_count'] ) ) :
+ 	$revisions_to_keep = wp_revisions_to_keep( $post );
+ ?>
+ <div class="misc-pub-section num-revisions">
+ <?php
+ 	if ( $revisions_to_keep > 0 && $revisions_to_keep <= $args['args']['revisions_count'] ) {
+ 		echo '<span title="' . esc_attr( sprintf( __( 'Your site is configured to keep only the last %s revisions.' ),
+ 			number_format_i18n( $revisions_to_keep ) ) ) . '">';
+ 		printf( __( 'Revisions: %s' ), '<b>' . number_format_i18n( $args['args']['revisions_count'] ) . '+</b>' );
+ 		echo '</span>';
+ 	} else {
+ 		printf( __( 'Revisions: %s' ), '<b>' . number_format_i18n( $args['args']['revisions_count'] ) . '</b>' );
+ 	}
+ ?>
+ 	<a class="hide-if-no-js" href="<?php echo esc_url( get_edit_post_link( $args['args']['revision_id'] ) ); ?>"><?php _ex( 'Browse', 'revisions' ); ?></a>
+ </div>
+ <?php endif;
+ 
  if ( $can_publish ) : // Contributors don't get to choose the date of publish ?>
  <div class="misc-pub-section curtime">
  	<span id="timestamp">
***************
*** 315,323 ****
  			$post_formats[0][] = $post_format;
  	?>
  	<div id="post-formats-select">
! 		<input type="radio" name="post_format" class="post-format" id="post-format-0" value="0" <?php checked( $post_format, '0' ); ?> /> <label for="post-format-0"><?php _e('Standard'); ?></label>
  		<?php foreach ( $post_formats[0] as $format ) : ?>
! 		<br /><input type="radio" name="post_format" class="post-format" id="post-format-<?php echo esc_attr( $format ); ?>" value="<?php echo esc_attr( $format ); ?>" <?php checked( $post_format, $format ); ?> /> <label for="post-format-<?php echo esc_attr( $format ); ?>"><?php echo esc_html( get_post_format_string( $format ) ); ?></label>
  		<?php endforeach; ?><br />
  	</div>
  	<?php endif; endif;
--- 333,341 ----
  			$post_formats[0][] = $post_format;
  	?>
  	<div id="post-formats-select">
! 		<input type="radio" name="post_format" class="post-format" id="post-format-0" value="0" <?php checked( $post_format, '0' ); ?> /> <label for="post-format-0" class="post-format-icon post-format-standard"><?php echo get_post_format_string( 'standard' ); ?></label>
  		<?php foreach ( $post_formats[0] as $format ) : ?>
! 		<br /><input type="radio" name="post_format" class="post-format" id="post-format-<?php echo esc_attr( $format ); ?>" value="<?php echo esc_attr( $format ); ?>" <?php checked( $post_format, $format ); ?> /> <label for="post-format-<?php echo esc_attr( $format ); ?>" class="post-format-icon post-format-<?php echo esc_attr( $format ); ?>"><?php echo esc_html( get_post_format_string( $format ) ); ?></label>
  		<?php endforeach; ?><br />
  	</div>
  	<?php endif; endif;
***************
*** 339,365 ****
  	extract( wp_parse_args($args, $defaults), EXTR_SKIP );
  	$tax_name = esc_attr($taxonomy);
  	$taxonomy = get_taxonomy($taxonomy);
! 	$disabled = !current_user_can($taxonomy->cap->assign_terms) ? 'disabled="disabled"' : '';
  	$comma = _x( ',', 'tag delimiter' );
  ?>
  <div class="tagsdiv" id="<?php echo $tax_name; ?>">
  	<div class="jaxtag">
  	<div class="nojs-tags hide-if-js">
  	<p><?php echo $taxonomy->labels->add_or_remove_items; ?></p>
! 	<textarea name="<?php echo "tax_input[$tax_name]"; ?>" rows="3" cols="20" class="the-tags" id="tax-input-<?php echo $tax_name; ?>" <?php echo $disabled; ?>><?php echo str_replace( ',', $comma . ' ', get_terms_to_edit( $post->ID, $tax_name ) ); // textarea_escaped by esc_attr() ?></textarea></div>
!  	<?php if ( current_user_can($taxonomy->cap->assign_terms) ) : ?>
  	<div class="ajaxtag hide-if-no-js">
  		<label class="screen-reader-text" for="new-tag-<?php echo $tax_name; ?>"><?php echo $box['title']; ?></label>
  		<div class="taghint"><?php echo $taxonomy->labels->add_new_item; ?></div>
  		<p><input type="text" id="new-tag-<?php echo $tax_name; ?>" name="newtag[<?php echo $tax_name; ?>]" class="newtag form-input-tip" size="16" autocomplete="off" value="" />
  		<input type="button" class="button tagadd" value="<?php esc_attr_e('Add'); ?>" /></p>
  	</div>
! 	<p class="howto"><?php echo esc_attr( $taxonomy->labels->separate_items_with_commas ); ?></p>
  	<?php endif; ?>
  	</div>
  	<div class="tagchecklist"></div>
  </div>
! <?php if ( current_user_can($taxonomy->cap->assign_terms) ) : ?>
  <p class="hide-if-no-js"><a href="#titlediv" class="tagcloud-link" id="link-<?php echo $tax_name; ?>"><?php echo $taxonomy->labels->choose_from_most_used; ?></a></p>
  <?php endif; ?>
  <?php
--- 357,383 ----
  	extract( wp_parse_args($args, $defaults), EXTR_SKIP );
  	$tax_name = esc_attr($taxonomy);
  	$taxonomy = get_taxonomy($taxonomy);
! 	$user_can_assign_terms = current_user_can( $taxonomy->cap->assign_terms );
  	$comma = _x( ',', 'tag delimiter' );
  ?>
  <div class="tagsdiv" id="<?php echo $tax_name; ?>">
  	<div class="jaxtag">
  	<div class="nojs-tags hide-if-js">
  	<p><?php echo $taxonomy->labels->add_or_remove_items; ?></p>
! 	<textarea name="<?php echo "tax_input[$tax_name]"; ?>" rows="3" cols="20" class="the-tags" id="tax-input-<?php echo $tax_name; ?>" <?php disabled( ! $user_can_assign_terms ); ?>><?php echo str_replace( ',', $comma . ' ', get_terms_to_edit( $post->ID, $tax_name ) ); // textarea_escaped by esc_attr() ?></textarea></div>
!  	<?php if ( $user_can_assign_terms ) : ?>
  	<div class="ajaxtag hide-if-no-js">
  		<label class="screen-reader-text" for="new-tag-<?php echo $tax_name; ?>"><?php echo $box['title']; ?></label>
  		<div class="taghint"><?php echo $taxonomy->labels->add_new_item; ?></div>
  		<p><input type="text" id="new-tag-<?php echo $tax_name; ?>" name="newtag[<?php echo $tax_name; ?>]" class="newtag form-input-tip" size="16" autocomplete="off" value="" />
  		<input type="button" class="button tagadd" value="<?php esc_attr_e('Add'); ?>" /></p>
  	</div>
! 	<p class="howto"><?php echo $taxonomy->labels->separate_items_with_commas; ?></p>
  	<?php endif; ?>
  	</div>
  	<div class="tagchecklist"></div>
  </div>
! <?php if ( $user_can_assign_terms ) : ?>
  <p class="hide-if-no-js"><a href="#titlediv" class="tagcloud-link" id="link-<?php echo $tax_name; ?>"><?php echo $taxonomy->labels->choose_from_most_used; ?></a></p>
  <?php endif; ?>
  <?php
***************
*** 602,609 ****
   *
   * @param object $post
   */
! function post_revisions_meta_box($post) {
! 	wp_list_post_revisions();
  }
  
  // -- Page related Meta Boxes
--- 620,627 ----
   *
   * @param object $post
   */
! function post_revisions_meta_box( $post ) {
! 	wp_list_post_revisions( $post );
  }
  
  // -- Page related Meta Boxes
***************
*** 979,982 ****
  function post_thumbnail_meta_box( $post ) {
  	$thumbnail_id = get_post_meta( $post->ID, '_thumbnail_id', true );
  	echo _wp_post_thumbnail_html( $thumbnail_id, $post->ID );
! }
\ No newline at end of file
--- 997,1000 ----
  function post_thumbnail_meta_box( $post ) {
  	$thumbnail_id = get_post_meta( $post->ID, '_thumbnail_id', true );
  	echo _wp_post_thumbnail_html( $thumbnail_id, $post->ID );
! }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/misc.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/misc.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/misc.php	2012-11-05 12:16:23.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/misc.php	2013-07-22 00:09:49.000000000 -0500
***************
*** 220,230 ****
   * @return string
   */
  function url_shorten( $url ) {
! 	$short_url = str_replace( 'http://', '', stripslashes( $url ));
! 	$short_url = str_replace( 'www.', '', $short_url );
  	$short_url = untrailingslashit( $short_url );
  	if ( strlen( $short_url ) > 35 )
! 		$short_url = substr( $short_url, 0, 32 ) . '...';
  	return $short_url;
  }
  
--- 220,229 ----
   * @return string
   */
  function url_shorten( $url ) {
! 	$short_url = str_replace( array( 'http://', 'www.' ), '', $url );
  	$short_url = untrailingslashit( $short_url );
  	if ( strlen( $short_url ) > 35 )
! 		$short_url = substr( $short_url, 0, 32 ) . '&hellip;';
  	return $short_url;
  }
  
***************
*** 371,377 ****
  }
  
  /**
!  * Check if rewrite rule for WordPress already exists in the IIS 7 configuration file
   *
   * @since 2.8.0
   *
--- 370,376 ----
  }
  
  /**
!  * Check if rewrite rule for WordPress already exists in the IIS 7+ configuration file
   *
   * @since 2.8.0
   *
***************
*** 429,435 ****
  }
  
  /**
!  * Add WordPress rewrite rule to the IIS 7 configuration file.
   *
   * @since 2.8.0
   *
--- 428,434 ----
  }
  
  /**
!  * Add WordPress rewrite rule to the IIS 7+ configuration file.
   *
   * @since 2.8.0
   *
***************
*** 561,563 ****
--- 560,667 ----
  	}
  }
  add_action('admin_head', '_ipad_meta');
+ 
+ /**
+  * Check lock status for posts displayed on the Posts screen
+  *
+  * @since 3.6
+  */
+ function wp_check_locked_posts( $response, $data, $screen_id ) {
+ 	$checked = array();
+ 
+ 	if ( array_key_exists( 'wp-check-locked-posts', $data ) && is_array( $data['wp-check-locked-posts'] ) ) {
+ 		foreach ( $data['wp-check-locked-posts'] as $key ) {
+ 			if ( ! $post_id = absint( substr( $key, 5 ) ) )
+ 				continue;
+ 
+ 			if ( ( $user_id = wp_check_post_lock( $post_id ) ) && ( $user = get_userdata( $user_id ) ) && current_user_can( 'edit_post', $post_id ) ) {
+ 				$send = array( 'text' => sprintf( __( '%s is currently editing' ), $user->display_name ) );
+ 
+ 				if ( ( $avatar = get_avatar( $user->ID, 18 ) ) && preg_match( "|src='([^']+)'|", $avatar, $matches ) )
+ 					$send['avatar_src'] = $matches[1];
+ 
+ 				$checked[$key] = $send;
+ 			}
+ 		}
+ 	}
+ 
+ 	if ( ! empty( $checked ) )
+ 		$response['wp-check-locked-posts'] = $checked;
+ 
+ 	return $response;
+ }
+ add_filter( 'heartbeat_received', 'wp_check_locked_posts', 10, 3 );
+ 
+ /**
+  * Check lock status on the New/Edit Post screen and refresh the lock
+  *
+  * @since 3.6
+  */
+ function wp_refresh_post_lock( $response, $data, $screen_id ) {
+ 	if ( array_key_exists( 'wp-refresh-post-lock', $data ) ) {
+ 		$received = $data['wp-refresh-post-lock'];
+ 		$send = array();
+ 
+ 		if ( ! $post_id = absint( $received['post_id'] ) )
+ 			return $response;
+ 
+ 		if ( ! current_user_can('edit_post', $post_id) )
+ 			return $response;
+ 
+ 		if ( ( $user_id = wp_check_post_lock( $post_id ) ) && ( $user = get_userdata( $user_id ) ) ) {
+ 			$error = array(
+ 				'text' => sprintf( __( '%s has taken over and is currently editing.' ), $user->display_name )
+ 			);
+ 
+ 			if ( $avatar = get_avatar( $user->ID, 64 ) ) {
+ 				if ( preg_match( "|src='([^']+)'|", $avatar, $matches ) )
+ 					$error['avatar_src'] = $matches[1];
+ 			}
+ 
+ 			$send['lock_error'] = $error;
+ 		} else {
+ 			if ( $new_lock = wp_set_post_lock( $post_id ) )
+ 				$send['new_lock'] = implode( ':', $new_lock );
+ 		}
+ 
+ 		$response['wp-refresh-post-lock'] = $send;
+ 	}
+ 
+ 	return $response;
+ }
+ add_filter( 'heartbeat_received', 'wp_refresh_post_lock', 10, 3 );
+ 
+ /**
+  * Check nonce expiration on the New/Edit Post screen and refresh if needed
+  *
+  * @since 3.6
+  */
+ function wp_refresh_post_nonces( $response, $data, $screen_id ) {
+ 	if ( array_key_exists( 'wp-refresh-post-nonces', $data ) ) {
+ 		$received = $data['wp-refresh-post-nonces'];
+ 		$response['wp-refresh-post-nonces'] = array( 'check' => 1 );
+ 
+ 		if ( ! $post_id = absint( $received['post_id'] ) )
+ 			return $response;
+ 
+ 		if ( ! current_user_can( 'edit_post', $post_id ) || empty( $received['post_nonce'] ) )
+ 			return $response;
+ 
+ 		if ( 2 === wp_verify_nonce( $received['post_nonce'], 'update-post_' . $post_id ) ) {
+ 			$response['wp-refresh-post-nonces'] = array(
+ 				'replace' => array(
+ 					'autosavenonce' => wp_create_nonce('autosave'),
+ 					'getpermalinknonce' => wp_create_nonce('getpermalink'),
+ 					'samplepermalinknonce' => wp_create_nonce('samplepermalink'),
+ 					'closedpostboxesnonce' => wp_create_nonce('closedpostboxes'),
+ 					'_ajax_linking_nonce' => wp_create_nonce( 'internal-linking' ),
+ 					'_wpnonce' => wp_create_nonce( 'update-post_' . $post_id ),
+ 				),
+ 				'heartbeatNonce' => wp_create_nonce( 'heartbeat-nonce' ),
+ 			);
+ 		}
+ 	}
+ 
+ 	return $response;
+ }
+ add_filter( 'heartbeat_received', 'wp_refresh_post_nonces', 10, 3 );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/ms.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/ms.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/ms.php	2012-11-26 08:42:43.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/ms.php	2013-07-29 13:18:58.000000000 -0500
***************
*** 80,86 ****
  		$drop = false;
  
  	if ( $drop ) {
! 		$drop_tables = apply_filters( 'wpmu_drop_tables', $wpdb->tables( 'blog' ) );
  
  		foreach ( (array) $drop_tables as $table ) {
  			$wpdb->query( "DROP TABLE IF EXISTS `$table`" );
--- 80,86 ----
  		$drop = false;
  
  	if ( $drop ) {
! 		$drop_tables = apply_filters( 'wpmu_drop_tables', $wpdb->tables( 'blog' ), $blog_id );
  
  		foreach ( (array) $drop_tables as $table ) {
  			$wpdb->query( "DROP TABLE IF EXISTS `$table`" );
***************
*** 135,140 ****
--- 135,143 ----
  	$id = (int) $id;
  	$user = new WP_User( $id );
  
+ 	if ( !$user->exists() )
+ 		return false;
+ 
  	do_action( 'wpmu_delete_user', $id );
  
  	$blogs = get_blogs_of_user( $id );
***************
*** 368,374 ****
  	if ( null !== $deprecated )
  		_deprecated_argument( __FUNCTION__, '3.1' );
  
! 	$wpdb->update( $wpdb->users, array( $pref => $value ), array( 'ID' => $id ) );
  
  	$user = new WP_User( $id );
  	clean_user_cache( $user );
--- 371,377 ----
  	if ( null !== $deprecated )
  		_deprecated_argument( __FUNCTION__, '3.1' );
  
! 	$wpdb->update( $wpdb->users, array( sanitize_key( $pref ) => $value ), array( 'ID' => $id ) );
  
  	$user = new WP_User( $id );
  	clean_user_cache( $user );
***************
*** 525,531 ****
  	if ( !is_super_admin() )
  		return false;
  	if ( get_site_option( 'wpmu_upgrade_site' ) != $wp_db_version )
! 		echo "<div class='update-nag'>" . sprintf( __( 'Thank you for Updating! Please visit the <a href="%s">Update Network</a> page to update all your sites.' ), esc_url( network_admin_url( 'upgrade.php' ) ) ) . "</div>";
  }
  add_action( 'admin_notices', 'site_admin_notice' );
  add_action( 'network_admin_notices', 'site_admin_notice' );
--- 528,534 ----
  	if ( !is_super_admin() )
  		return false;
  	if ( get_site_option( 'wpmu_upgrade_site' ) != $wp_db_version )
! 		echo "<div class='update-nag'>" . sprintf( __( 'Thank you for Updating! Please visit the <a href="%s">Upgrade Network</a> page to update all your sites.' ), esc_url( network_admin_url( 'upgrade.php' ) ) ) . "</div>";
  }
  add_action( 'admin_notices', 'site_admin_notice' );
  add_action( 'network_admin_notices', 'site_admin_notice' );
***************
*** 692,714 ****
  </script>
  <?php
  }
- 
- /**
-  * Whether or not we have a large network.
-  *
-  * The default criteria for a large network is either more than 10,000 users or more than 10,000 sites.
-  * Plugins can alter this criteria using the 'wp_is_large_network' filter.
-  *
-  * @since 3.3.0
-  * @param string $using 'sites or 'users'. Default is 'sites'.
-  * @return bool True if the network meets the criteria for large. False otherwise.
-  */
- function wp_is_large_network( $using = 'sites' ) {
- 	if ( 'users' == $using ) {
- 		$count = get_user_count();
- 		return apply_filters( 'wp_is_large_network', $count > 10000, 'users', $count );
- 	}
- 
- 	$count = get_blog_count();
- 	return apply_filters( 'wp_is_large_network', $count > 10000, 'sites', $count );
- }
--- 695,697 ----
